# Create your views here.

from django.http import HttpResponse
from website.models import RandomNumber


def index(request):
    numbers = RandomNumber.objects.all()
    result = 0
    for n in numbers:
        result+=n.number
    
    return HttpResponse('%i' % result)
    

########################################################

from django.core.cache import cache

def index_cached(request):
    key = 'mi_suma_cacheada'
    result = cache.get(key)
    if not result:
        print "no cacheado"
        numbers = RandomNumber.objects.all()
        result = 0
        for n in numbers:
            result+=n.number
        cache.set(key, result, 5*60)
    
    return HttpResponse('%i' % result)