from django.conf.urls.defaults import *

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Example:
    # (r'^dwitter/', include('dwitter.foo.urls')),

    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    (r'^admin/', include(admin.site.urls)),
    
    (r'^user/\w+/status/(\d+)/?','website.views.tweet_page'),
    (r'^user/(\w+)/follow/?$','website.views.follow_user'),
    (r'^user/(\w+)/unfollow/?$','website.views.unfollow_user'),
    (r'^user/(\w+)/?$','website.views.user_page'),
    (r'^search/?$','website.views.search'),
    (r'^users/?','website.views.users_list'),
    
    (r'','website.views.index')
)
