#!/usr/bin/env python
# -*- coding: utf-8 -*-

def leer_fichero(nombre_fichero):
    fichero = open(nombre_fichero)
    contenido = fichero.read()
    fichero.close()
    return contenido

#
# Comienzo del programa
#
llamadas = leer_fichero("llamadas.txt")

numeros = {}
total = 0.0
for linea in llamadas.split("\n"):
    campos = linea.split(" ")
    numero = campos[0]
    importe = float(campos[-1].replace(",", "."))
    
    # Total de cada número
    if numero in numeros:
        numeros[numero] += importe
    else:
        numeros[numero] = importe
    
    # Total de la factura
    total += importe

print "Total factura: %f euros." % total

# Cálculo del número que más gasta
mayor_gasto = {'telefono': '', 'importe': 0.0}
for telefono, importe in numeros.items():
    if importe > mayor_gasto['importe']:
        mayor_gasto['telefono'] = telefono
        mayor_gasto['importe'] = importe
print "Mayor gasto: %(telefono)s, %(importe)f euros." % mayor_gasto
print "Gasto medio por numero: %f euros." % (total/len(numeros))